// ======================================================================================================================
.header {
    width: 100%;
    height: 100vh;
    position: relative;

    &__content {
        height: 90vh;
        position: relative;
        background-image: url(../img/bq.jpg);
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        // @media (max-width: 1199.98px) {
            
        // }
        @media (max-width: 480.98px) {
            min-width: $minWidth;
        }
    }
    &__box{
        @include block-flex-center;
        flex-direction: column;
        margin-top: 6%;
        @media (max-width: 992.98px) {
            margin-top: 68px;
        }
        @media (max-width: 480.98px) {
            margin-top: 50px;
            min-width: $minWidth;
        }
    }

    &__title{
        color: $main-color;
        font-family: 'Montserrat', sans-serif;
        font-weight: bold;
        font-size: 82px;
        line-height: 82px;
        margin-bottom: 19px;
        @media (max-width: 992.98px) {
            font-size: 72px;
            line-height: 72px;
        }
        @media (max-width: 480.98px) {
            font-size: 48px;
            line-height: 48px;
        }
    }
    &__secondary__title{
        text-align: center;
    }
    &__secondary__title::after{
        content: 'A real gamechanger in the world of web development';
        color: $main-design-color;
        font-family: 'Lato', sans-serif;
        font-size: 30px;
        line-height: 30px;
        @media (max-width: 992.98px) {
            text-align: center;
            font-size: 24px;
            line-height: 24px;
        }
        @media (max-width: 480.98px) {
            font-size: 18px;
            line-height: 24px;
            min-width: 320px;
            display: inline-block;
            content: "A Real Gamechanger In The World Of Web-Development";  
        }
    }

    &__desc{
        font-family: 'Montserrat', sans-serif;
        font-size: 16px;
        line-height: 16px;
        text-transform: uppercase;
        color: $secondary-color;
        margin-top: 19px;
        @media (max-width: 480.98px) {
            font-size: 14px;
            line-height: 14px;
        }
    }

    &__menu {
        @media (max-width: 992.98px) {
            background: #27262A;
        }
    }
}

//==============================================================================================
.menu {

    &__icon {
        color: transparent;
    }

    &__body {
        max-width: $maxWidthContainer;
        margin: 0 auto;
        justify-content: space-between;
        @include block-flex;
        @media (max-width: 1199.98px) {
            max-width: 993px;
            margin: 0 auto;
        }
        @media (max-width: 992.98px) {
            display: flex;
            align-items: center;
            position: relative;
            max-width: 992px;
            background: #27262A;
            padding: 0px 20px 0px 20px;
        }
        @media (max-width: 480.98px) {
            height: 103px;
            padding: 0px;
            display: block;
            min-width: 320px;
        }
    }

    &__logo {
        @include block-flex;
        position: relative;
        padding: 29px 0px 29px 0px;
        @media (max-width: 480.98px) {
            position: absolute;
            top: 0;
            bottom: 0;
            padding: 0px 0px 0px 15px;
        }
        @media (max-width: 992.98px) {
            padding: 21px 0px 55px 0px;
        }
    }

    .list__container {
        @include block-flex;
    }

    &__img-hover{
        position: absolute;
        display: none;
    }

    &__logo:hover &__img-hover {
        display: block;
    }

    &__logo:hover &__logo-text {
        color: $main-color;
    }

    &__logo-text {
        font-family: 'Lato', sans-serif;
        font-weight: bold;
        font-size: 24px;
        line-height: 16px;
        text-transform: uppercase;
        color: $main-design-color;
        margin-left: 17px;
        @media (max-width: 480.98px) {
            display: none;
        }
    }
    
    &__list {
        @include block-flex;
        justify-content: space-between;
        @media (max-width: 480.98px) {
            display: block;
        }
        li {
            @media (max-width: 480.98px) {
                padding: 29px 0px 29px 40px;
                border-bottom: 4px solid #3b3b3b;
            }
        }
    }

    &__wrapper{
        margin-right: 38px;
        display: block;
        width: 480px;
        @media (max-width: 992.98px) {
            position: absolute;
            margin-top: 20px;
            margin-right: 0px;
            top: 63px;
            left: 50%;
            transform: translate(-50%);
        }
        @media (max-width: 480.98px) {
			transform: translate(-50%, -456px);
			background: #333333;
			position: fixed;
			width: 293px;
            left: 50%;
			top: 103px;
            margin: 0px;
			&._active {
            transform: translate(-50%, 0px);
			}
        }
    }
    
    &__item {
        font-family: 'Montserrat', sans-serif;
        font-weight: bold;
        font-size: 16px;
        line-height: 15px;
        color: $main-design-color;
        @media (max-width: 480.98px) {
            display: inline-block;
            color: $main-color;
            font-weight: normal;
            font-size: 26px;
            line-height: 26px;
        }
    }
    @media (max-width: 480.98px) {
        li .current {
            color: $main-design-color;
        }
    }
    &__item:hover {
        color: $main-color;
    }

    &__button {
        font-family: 'Montserrat', sans-serif;
        font-weight: bold;
        font-size: 16px;
        line-height: 17px;
        color: $main-color;
        padding: 11px 20px;
        background: $main-design-color;
        border-radius: 40px;
        border: none;
        @media (max-width: 992.98px) {
            margin: 21px 0px 55px 0px;
        }
        @media (max-width: 480.98px) {
            font-size: 15px;
            line-height: 15px;
            padding: 11px 10px;
            margin: 0px;
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
        }
    }

    &__button:hover {
        background: $main-color;
        color: $main-design-color;
    }
}

.current-line {
    display: none;
    position: absolute;
    top: 18px;
    width: 3px;
    left: 3px;
    height: 53px;
    background: $main-design-color;
    @media (max-width: 480.98px) {
        display: block;
    }
}
//==============================================================================================
.download {

    &__box {
        text-align: center;
        position: absolute;
        bottom: -68px;
        left: 50%;
        transform: translate(-50%);
        @media (max-width: 480.98px) {
            bottom: -53px;
        }
    }

    &__btn {
        display: block;
        width: 391px;
        font-family: 'Montserrat', sans-serif;
        font-weight: bold;
        font-size: 21px;
        line-height: 22px;
        color: $main-color;
        padding: 23px 61px;
        background: $main-design-color;
        border: 2px solid $main-design-color;
        border-radius: 40px;
        margin: 0px 0px 19px 0px;
        @media (max-width: 480.98px) {
            font-size: 18px;
            line-height: 20px;
            padding: 15px 29px;
            width: 290px;
            margin: 0px 0px 12px 0px;
        }
    }

    &__btn:hover {
        background: $main-color;
        color: $main-design-color;
    }

    &__text {
    font-family: Montserrat;
    font-size: 14px;
    line-height: 15px;
    color: $secondary-color;
    @media (max-width: 992.98px) {
        // margin-bottom: 40px;
    }
    @media (max-width: 480.98px) {
		// margin-bottom: 30px;
	}
    }
}
//==============================================================================================



// burger-menu ==========================================================================================================
.icon-menu {
	display: none;
	@media (max-width: 480.98px) {
		display: block;
		position: absolute;
		top: 41px;
        right: 15px;
		width: 26px;
		height: 21px;
		z-index: 5;
		span {
			top: calc(50% - 1px);
			left: 0px;
			position: absolute;
			width: 100%;
			height: 3px;
			background-color: $main-color;
            border-radius: 5px;
			&:first-child {
                border-radius: 5px;
                width: 50%;
				top: 0px;
                left: 50%;
			}
			&:last-child {
                border-radius: 5px;
				top: auto;
				bottom: 0px;
			}
		}
		&._active {
			span {
				transform: scale(0);
				&:first-child {
                    width: 100%;
                    left: 0px;
                    transform: rotate(45deg);
                    top: calc(50% - 1px);
				}
				&:last-child {
                    transform: rotate(-45deg);
                    bottom: calc(50% - 1px);
				}
			}
		}
	}
}
// media title- text ================================================

